Shopify CLI tool completely BUSTED again?

HunkyBill
Shopify Expert
4851 60 554

Not sure how this happens, but the simplest of updates obliterates the Shopify CLI tool, making it once again impossible to work with Shopify. Anyone have a suggestion?

brew upgrade shopify-cli

==> Upgrading 1 outdated package:
shopify/shopify/shopify-cli 2.18.1 -> 2.19.0

==> Fetching shopify-cli from gem source
==> Upgrading shopify/shopify/shopify-cli
  2.18.1 -> 2.19.0

==> Installing dependencies for shopify/shopify/shopify-cli: openssl@1.1
==> Installing shopify/shopify/shopify-cli dependency: openssl@1.1
==> Pouring openssl@1.1--1.1.1p.monterey.bottle.tar.gz
🍺  /usr/local/Cellar/openssl@1.1/1.1.1p: 8,097 files, 18.5MB
==> Installing shopify/shopify/shopify-cli
==> gem install /Users/jimmycliff/Library/Caches/Homebrew/shopify-cli-2.19.0.gem --no-document --no-wrapper --no-user-install --install-dir /usr/local/Cellar/shopify-cli/2.19.0 --bindir /usr/local/Cellar/shopify-cli/2.19.0/bin -- --skip-cli-build
🍺  /usr/local/Cellar/shopify-cli/2.19.0: 2,166 files, 52.3MB, built in 19 seconds

shopify version
shopify command is no longer bundled with shopify_api.
if you need these tools, install the shopify_cli gem
Custom Shopify Apps built just for you! hunkybill@gmail.com http://www.resistorsoftware.com
Replies 2 (2)

JoshHighland
Shopify Expert
207 12 73

You need to go to CLI 3... which is also busted. I'm on hour 2 of trying to get it to work

SEO Manager - The FREE all-in-One SEO solution for Shopify
A powerful suite of SEO tools that gets you found in Google results

- Install SEO Manager -
HunkyBill
Shopify Expert
4851 60 554

But that is impossible! It is made with Typescript now, the best software Microsoft has ever built and delivered, making it near impossible to deliver broken Javascript. Since Shopify decided to scrap their tried and true and go with Typescript, I was expecting it to be perfect, just like everything ever made with Typescript, because as we all know, only the good parts of Javascript are good, and so many people don't even know how to use the good parts, so we have Typescript now, and that is 100% good because they would never make the bad parts again.

So ya, really, CLI 3 is borked too? I dunno about that. The only problem I had it turns out, was the App was too stupid to tell me my Ruby was set to 2.7 even though I compiled in 3.1. So by just switching to 3.1 it all worked again.

Custom Shopify Apps built just for you! hunkybill@gmail.com http://www.resistorsoftware.com